Bug 464775 - kernel-2.6.27-0.372.rc8.fc10.x86_64 - X doesn't start, drm failure adding irq handler
kernel-2.6.27-0.372.rc8.fc10.x86_64 - X doesn't start, drm failure adding irq...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 09:41 EDT by Denys Vlasenko
Modified: 2009-12-18 01:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:27:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Failing Xorg.0.log (17.75 KB, application/octet-stream)
2008-09-30 09:41 EDT, Denys Vlasenko
no flags Details
Working Xorg.0.log (23.99 KB, application/octet-stream)
2008-09-30 09:42 EDT, Denys Vlasenko
no flags Details
Another xorg log which shows the same problem (15.84 KB, text/x-log)
2008-10-02 05:23 EDT, Juraci Paixão Kröhling
no flags Details

  None (edit)
Description Denys Vlasenko 2008-09-30 09:41:17 EDT
Kernels around kernel-2.6.27-0.32x from rawhide worked for me, but 372th broke X. When X tries to start, the screen remains blank and I can't switch console with Ctrl-Alt-Fn. I guess the machine is not dead - keyboard LEDs can be toggled.

Here's the diff between Xorg.0.log on kernel-2.6.27-0.372.rc8 and on mostly vanilla 2.6.27-rc7:

...
-Current Operating System: Linux localhost.localdomain 2.6.27-0.372.rc8.fc10.x86_64 #1 SMP Tue Sep 30 00:58:34 EDT 2008 x86_64
+Current Operating System: Linux localhost.localdomain 2.6.27-rc7u #15 SMP Tue Sep 30 12:18:34 CEST 2008 x86_64
 Build Date: 17 September 2008  10:15:10PM
 Build ID: xorg-x11-server 1.5.0-2.fc9
        Before reporting problems, check http://wiki.x.org
@@ -328,7 +328,7 @@
 (==) intel(0): VideoRam: 262144 KB
 (II) intel(0): Attempting memory allocation with tiled buffers.
 (II) intel(0): Tiled allocation successful.
-(II) intel(0): [drm] Registers = 0x2fff8000
+(II) intel(0): [drm] Registers = 0xf8100000
 (II) intel(0): [drm] ring buffer = 0xe0000000
 (II) intel(0): [drm] mapped front buffer at 0xe0100000, handle = 0xe0100000
 (II) intel(0): [drm] mapped back buffer at 0xe2ef0000, handle = 0xe2ef0000
@@ -376,11 +376,130 @@
 (II) intel(0):   Output VGA is connected to pipe A
 (II) intel(0):   Output LVDS is connected to pipe B
 (II) intel(0):   Output TMDS-1 is connected to pipe none
-(EE) intel(0): [drm] failure adding irq handler
-(II) intel(0): [drm] removed 1 reserved context for kernel
-(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0x2efff000 at 0x7f94d9068000
-(II) intel(0): [drm] Closed DRM master.
-
-Fatal server error:
-AddScreen/ScreenInit failed for driver 0
-
+(II) intel(0): [drm] dma control initialized, using IRQ 16
+(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
...

I will attach full logs too.
Comment 1 Denys Vlasenko 2008-09-30 09:41:52 EDT
Created attachment 318071 [details]
Failing Xorg.0.log
Comment 2 Denys Vlasenko 2008-09-30 09:42:33 EDT
Created attachment 318072 [details]
Working Xorg.0.log
Comment 3 Juraci Paixão Kröhling 2008-10-02 05:23:26 EDT
Created attachment 319206 [details]
Another xorg log which shows the same problem

The same problem. Hopefully it'll help to identify the problem.
Comment 4 Bug Zapper 2008-11-25 22:16:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jérôme Glisse 2009-10-14 07:13:48 EDT
Can you test with fedora 12 livecd and report if it works with it.
Comment 6 Bug Zapper 2009-11-18 03:26:45 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:27:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.